<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.119
Name: A_OntvangenZorg [universal]
Description: COCT_RM900917NL: Gegevens van de zorg die ontvangen is of wordt ontvangen door het gezin.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000">
   <title>A_OntvangenZorg [universal]</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]
Item: (A_OntvangenZorg-universal)
-->

<rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]"
         id="tmp-r-4abe80ff-e7eb-4b13-a6d5-505b7414734e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']])&gt;=1 and not(hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/@nullFlavor)">(A_OntvangenZorg-universal): element hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']])&lt;=1">(A_OntvangenZorg-universal): element hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]
Item: (A_OntvangenZorg-universal)
-->

<rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]"
         id="tmp-r-ab5593e5-28d1-4752-bee3-0ba8cab521cc">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="string(@classCode)='PCPR' or not(@classCode)">(A_OntvangenZorg-universal): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(A_OntvangenZorg-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']/@nullFlavor)">(A_OntvangenZorg-universal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119'])&lt;=1">(A_OntvangenZorg-universal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or @nullFlavor='OTH'])&gt;=1 ">(A_OntvangenZorg-universal): element hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or @nullFlavor='OTH'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or @nullFlavor='OTH'])&lt;=1">(A_OntvangenZorg-universal): element hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or @nullFlavor='OTH'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(A_OntvangenZorg-universal): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:statusCode[@code='active' or @code='completed'])&gt;=1 ">(A_OntvangenZorg-universal): element hl7:statusCode[@code='active' or @code='completed'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:statusCode[@code='active' or @code='completed'])&lt;=1">(A_OntvangenZorg-universal): element hl7:statusCode[@code='active' or @code='completed'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(A_OntvangenZorg-universal): element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(A_OntvangenZorg-universal): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:subject)&gt;=1 and not(hl7:subject/@nullFlavor)">(A_OntvangenZorg-universal): element hl7:subject is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:subject)&lt;=1">(A_OntvangenZorg-universal): element hl7:subject komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:goal[hl7:observationGoal[hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]])&lt;=1">(A_OntvangenZorg-universal): element hl7:goal[hl7:observationGoal[hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:reasonOf[hl7:patientCareObservation[hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]])&lt;=1">(A_OntvangenZorg-universal): element hl7:reasonOf[hl7:patientCareObservation[hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:templateId
Item: (A_OntvangenZorg-universal)
-->

<rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:templateId"
         id="tmp-r-c7ba7704-60af-4f7d-b5dd-1b7babdb6360">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_OntvangenZorg-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.119'">(A_OntvangenZorg-universal): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.119' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or @nullFlavor='OTH']
Item: (A_OntvangenZorg-universal)
-->

<rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.63') or @nullFlavor='OTH']"
         id="tmp-r-5fbf7a9d-9cb4-4b58-a9e8-05264f8bae6c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_OntvangenZorg-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.305-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(A_OntvangenZorg-universal): de elementwaarde MOET zijn W0305_HL7 W0305 Type zorg (HL7) (DYNAMISCH).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.305-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(A_OntvangenZorg-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0305_HL7 W0305 Type zorg (HL7) (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:text
Item: (A_OntvangenZorg-universal)
-->

<rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:text"
         id="tmp-r-e4b2276b-14d0-4584-8864-d05f1e580b99">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_OntvangenZorg-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:statusCode[@code='active' or @code='completed']
Item: (A_OntvangenZorg-universal)
-->

<rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:statusCode[@code='active' or @code='completed']"
         id="tmp-r-3c2e3880-7944-4932-b571-8cf5e78674b0">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_OntvangenZorg-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="@nullFlavor or (@code='active') or (@code='completed')">(A_OntvangenZorg-universal): de elementwaarde MOET zijn code 'active' of code 'completed'.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="not(@nullFlavor) or @nullFlavor=('ASKU')">(A_OntvangenZorg-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst .</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="string(@nullFlavor)='ASKU' or not(@nullFlavor)">(A_OntvangenZorg-universal): de waarde van @nullFlavor MOET 'ASKU' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10258
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:effectiveTime
Item: (PeriodeZorg)
-->

<rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:effectiveTime"
         id="tmp-r-5ac83df3-2e27-4d18-af6e-580b83d31613">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.10258-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PeriodeZorg): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <let name="elmcount" value="count(hl7:low|hl7:high)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.10258-2012-08-01T000000.html"
              test="$elmcount&gt;=1">(PeriodeZorg): keuze (hl7:low of hl7:high) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.10258-2012-08-01T000000.html"
              test="$elmcount&lt;=2">(PeriodeZorg): keuze (hl7:low of hl7:high) bevat te veel elementen [max 2x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.10258-2012-08-01T000000.html"
              test="count(hl7:low)&lt;=1">(PeriodeZorg): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.10258-2012-08-01T000000.html"
              test="count(hl7:high)&lt;=1">(PeriodeZorg): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.10258-2012-08-01T000000.html"
              test="count(hl7:width)=0">(PeriodeZorg): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.10258-2012-08-01T000000.html"
              test="count(hl7:center)=0">(PeriodeZorg): element hl7:center MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10258
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:effectiveTime/hl7:low
Item: (PeriodeZorg)
-->

<rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:effectiveTime/hl7:low"
         id="tmp-r-ec017d28-e2cc-4c3d-919a-bf2ec3f466cb">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.10258-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PeriodeZorg): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.10258-2012-08-01T000000.html"
              test="string(@nullFlavor)='UNK' or not(@nullFlavor)">(PeriodeZorg): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10258
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:effectiveTime/hl7:high
Item: (PeriodeZorg)
-->

<rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:effectiveTime/hl7:high"
         id="tmp-r-a2c38fc1-319b-42bb-9554-225789aaf7be">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.10258-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PeriodeZorg): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.10258-2012-08-01T000000.html"
              test="string(@nullFlavor)='UNK' or not(@nullFlavor)">(PeriodeZorg): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10258
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:effectiveTime/hl7:width
Item: (PeriodeZorg)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10258
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:effectiveTime/hl7:center
Item: (PeriodeZorg)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:subject
Item: (A_OntvangenZorg-universal)
-->

<rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:subject"
         id="tmp-r-984eb548-9662-4979-b607-6e8440f47e57">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="string(@typeCode)='SBJ' or not(@typeCode)">(A_OntvangenZorg-universal): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:patient|hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='SIB' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="$elmcount&gt;=1">(A_OntvangenZorg-universal): keuze (hl7:patient of hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='SIB' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="$elmcount&lt;=1">(A_OntvangenZorg-universal): keuze (hl7:patient of hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='SIB' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]) bevat te veel elementen [max 1x]</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:subject/hl7:patient
Item: (A_OntvangenZorg-universal)
-->

<rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:subject/hl7:patient"
         id="tmp-r-12738d39-2f78-406f-9e43-1325582b15b7">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="string(@classCode)='PAT' or not(@classCode)">(A_OntvangenZorg-universal): de waarde van @classCode MOET 'PAT' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:subject/hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='SIB' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]
Item: (A_OntvangenZorg-universal)
-->

<rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:subject/hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='SIB' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]"
         id="tmp-r-64a5631e-3b14-4b55-831c-5b4d6bd44988">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="string(@classCode)='PRS' or not(@classCode)">(A_OntvangenZorg-universal): de waarde van @classCode MOET 'PRS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='SIB' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH'])&gt;=1 ">(A_OntvangenZorg-universal): element hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='SIB' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='SIB' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH'])&lt;=1">(A_OntvangenZorg-universal): element hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='SIB' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:relationshipHolder)&gt;=1 ">(A_OntvangenZorg-universal): element hl7:relationshipHolder is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:relationshipHolder)&lt;=1">(A_OntvangenZorg-universal): element hl7:relationshipHolder komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:subject/hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='SIB' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]/hl7:code
Item: (A_OntvangenZorg-universal)
-->

<rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:subject/hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='SIB' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]/hl7:code"
         id="tmp-r-3c4ece90-5d89-436d-8210-d77ef5799916">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_OntvangenZorg-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.307-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(A_OntvangenZorg-universal): de elementwaarde MOET zijn W0307_HL7 W0307 Zorg voor (HL7) (DYNAMISCH).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.307-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(A_OntvangenZorg-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0307_HL7 W0307 Zorg voor (HL7) (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:subject/hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='SIB' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]/hl7:relationshipHolder
Item: (A_OntvangenZorg-universal)
-->

<rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:subject/hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111') or (@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='SIB' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]/hl7:relationshipHolder"
         id="tmp-r-c50e8553-3166-49d4-aa23-947bd4f18977">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_OntvangenZorg-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="string(@classCode)='PSN'">(A_OntvangenZorg-universal): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="string(@determinerCode)='INSTANCE'">(A_OntvangenZorg-universal): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="string(@nullFlavor)='NI'">(A_OntvangenZorg-universal): de waarde van @nullFlavor MOET 'NI' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:goal[hl7:observationGoal[hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]
Item: (A_OntvangenZorg-universal)
-->

<rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:goal[hl7:observationGoal[hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]"
         id="tmp-r-6d33518e-39b5-48f9-9331-330664035edd">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(A_OntvangenZorg-universal): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:observationGoal[hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]])&gt;=1 and not(hl7:observationGoal[hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]/@nullFlavor)">(A_OntvangenZorg-universal): element hl7:observationGoal[hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:observationGoal[hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]])&lt;=1">(A_OntvangenZorg-universal): element hl7:observationGoal[hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:goal[hl7:observationGoal[hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationGoal
Item: (A_OntvangenZorg-universal)
-->

<rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:goal[hl7:observationGoal[hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationGoal"
         id="tmp-r-d3e726c3-6a8c-4e30-8b40-2de3c5ac8688">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="string(@classCode)='PCPR' or not(@classCode)">(A_OntvangenZorg-universal): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(A_OntvangenZorg-universal): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&gt;=1 and not(hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]/@nullFlavor)">(A_OntvangenZorg-universal): element hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&lt;=1">(A_OntvangenZorg-universal): element hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(A_OntvangenZorg-universal): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(A_OntvangenZorg-universal): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:goal[hl7:observationGoal[hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationGoal/hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (A_OntvangenZorg-universal)
-->

<rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:goal[hl7:observationGoal[hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationGoal/hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="tmp-r-dfd43d17-4025-45b1-86b0-745b1c35f7da">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_OntvangenZorg-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="@nullFlavor or (@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_OntvangenZorg-universal): de elementwaarde MOET zijn code '829' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:goal[hl7:observationGoal[hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationGoal/hl7:text
Item: (A_OntvangenZorg-universal)
-->

<rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:goal[hl7:observationGoal[hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationGoal/hl7:text"
         id="tmp-r-9c84d4dd-8450-45f9-8db6-da70c3a56dbd">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_OntvangenZorg-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:reasonOf[hl7:patientCareObservation[hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]
Item: (A_OntvangenZorg-universal)
-->

<rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:reasonOf[hl7:patientCareObservation[hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]"
         id="tmp-r-2e4550a7-c05f-40a6-ba66-e42e89ff13b6">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(A_OntvangenZorg-universal): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:patientCareObservation[hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]])&gt;=1 and not(hl7:patientCareObservation[hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]/@nullFlavor)">(A_OntvangenZorg-universal): element hl7:patientCareObservation[hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:patientCareObservation[hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]])&lt;=1">(A_OntvangenZorg-universal): element hl7:patientCareObservation[hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:reasonOf[hl7:patientCareObservation[hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:patientCareObservation
Item: (A_OntvangenZorg-universal)
-->

<rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:reasonOf[hl7:patientCareObservation[hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:patientCareObservation"
         id="tmp-r-0b1fde75-1766-4b07-a689-02a9ecb0b547">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(A_OntvangenZorg-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(A_OntvangenZorg-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&gt;=1 and not(hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]/@nullFlavor)">(A_OntvangenZorg-universal): element hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&lt;=1">(A_OntvangenZorg-universal): element hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_OntvangenZorg-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(A_OntvangenZorg-universal): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:reasonOf[hl7:patientCareObservation[hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:patientCareObservation/hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (A_OntvangenZorg-universal)
-->

<rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:reasonOf[hl7:patientCareObservation[hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:patientCareObservation/hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="tmp-r-95b6d571-6aca-47c7-9c78-8476a541eb61">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_OntvangenZorg-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="@nullFlavor or (@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_OntvangenZorg-universal): de elementwaarde MOET zijn code '365' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:reasonOf[hl7:patientCareObservation[hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:patientCareObservation/hl7:value
Item: (A_OntvangenZorg-universal)
-->

<rule context="*[hl7:patientCareProvision[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:reasonOf[hl7:patientCareObservation[hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:patientCareObservation/hl7:value"
         id="tmp-r-12d4769e-accb-449b-96a3-802100d148fd">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_OntvangenZorg-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>