<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.120
Name: A_ZorgPlan [universal]
Description: COCT_RM900918NL: Gegevens over een zorgplan
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000">
   <title>A_ZorgPlan [universal]</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]"
         id="tmp-r-7ef33adc-e1a2-4849-860a-5c9c54d90bbf">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']])&gt;=1 and not(hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/@nullFlavor)">(A_ZorgPlan-universal): element hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']])&lt;=1">(A_ZorgPlan-universal): element hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]"
         id="tmp-r-7f75cad7-2340-480b-b3e1-a21d2fb7f114">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="string(@classCode)='PCPR' or not(@classCode)">(A_ZorgPlan-universal): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(A_ZorgPlan-universal): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']/@nullFlavor)">(A_ZorgPlan-universal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120'])&lt;=1">(A_ZorgPlan-universal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(A_ZorgPlan-universal): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:code[(@code='G081' and @codeSystem='2.16.840.1.113883.2.4.4.40.393')])&gt;=1 and not(hl7:code[(@code='G081' and @codeSystem='2.16.840.1.113883.2.4.4.40.393')]/@nullFlavor)">(A_ZorgPlan-universal): element hl7:code[(@code='G081' and @codeSystem='2.16.840.1.113883.2.4.4.40.393')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:code[(@code='G081' and @codeSystem='2.16.840.1.113883.2.4.4.40.393')])&lt;=1">(A_ZorgPlan-universal): element hl7:code[(@code='G081' and @codeSystem='2.16.840.1.113883.2.4.4.40.393')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(A_ZorgPlan-universal): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:component[hl7:observationIntent[hl7:code[(@code='1155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]])&lt;=1">(A_ZorgPlan-universal): element hl7:component[hl7:observationIntent[hl7:code[(@code='1155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:finalGoal[hl7:observationGoal[hl7:code[(@code='1154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]])&lt;=1">(A_ZorgPlan-universal): element hl7:finalGoal[hl7:observationGoal[hl7:code[(@code='1154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:pertinentInformation[hl7:evaluationEvent[hl7:code[(@code='1156' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]])&lt;=1">(A_ZorgPlan-universal): element hl7:pertinentInformation[hl7:evaluationEvent[hl7:code[(@code='1156' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:subject[hl7:problem[hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]])&gt;=1 and not(hl7:subject[hl7:problem[hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/@nullFlavor)">(A_ZorgPlan-universal): element hl7:subject[hl7:problem[hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:subject[hl7:problem[hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]])&lt;=1">(A_ZorgPlan-universal): element hl7:subject[hl7:problem[hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:templateId
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:templateId"
         id="tmp-r-3996ea97-bfb7-4cc2-9f38-c6a7af5078ab">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_ZorgPlan-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.120'">(A_ZorgPlan-universal): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.120' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:id
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:id"
         id="tmp-r-f9f768f7-97f6-4670-9907-5a1fe139c76f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_ZorgPlan-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:code[(@code='G081' and @codeSystem='2.16.840.1.113883.2.4.4.40.393')]
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:code[(@code='G081' and @codeSystem='2.16.840.1.113883.2.4.4.40.393')]"
         id="tmp-r-91d93a5f-dec4-48a6-8f13-10b428aec883">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_ZorgPlan-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="@nullFlavor or (@code='G081' and @codeSystem='2.16.840.1.113883.2.4.4.40.393')">(A_ZorgPlan-universal): de elementwaarde MOET zijn code 'G081' codeSystem '2.16.840.1.113883.2.4.4.40.393'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10265
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:effectiveTime
Item: (PeriodeZorgOpMaat)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:effectiveTime"
         id="tmp-r-4d365bfb-84ba-4967-9f13-87ed9aba69d1">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.10265-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PeriodeZorgOpMaat): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <let name="elmcount" value="count(hl7:low|hl7:high)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.10265-2012-08-01T000000.html"
              test="$elmcount&gt;=1">(PeriodeZorgOpMaat): keuze (hl7:low of hl7:high) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.10265-2012-08-01T000000.html"
              test="$elmcount&lt;=2">(PeriodeZorgOpMaat): keuze (hl7:low of hl7:high) bevat te veel elementen [max 2x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.10265-2012-08-01T000000.html"
              test="count(hl7:low)&lt;=1">(PeriodeZorgOpMaat): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.10265-2012-08-01T000000.html"
              test="count(hl7:high)&lt;=1">(PeriodeZorgOpMaat): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.10265-2012-08-01T000000.html"
              test="count(hl7:width)=0">(PeriodeZorgOpMaat): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.10265-2012-08-01T000000.html"
              test="count(hl7:center)=0">(PeriodeZorgOpMaat): element hl7:center MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10265
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:effectiveTime/hl7:low
Item: (PeriodeZorgOpMaat)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:effectiveTime/hl7:low"
         id="tmp-r-d2094b8e-9a88-40e1-85c7-332a6eea8b27">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.10265-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PeriodeZorgOpMaat): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.10265-2012-08-01T000000.html"
              test="string(@nullFlavor)='UNK' or not(@nullFlavor)">(PeriodeZorgOpMaat): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10265
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:effectiveTime/hl7:high
Item: (PeriodeZorgOpMaat)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:effectiveTime/hl7:high"
         id="tmp-r-e3147b45-56ce-4d37-b1ff-ffc9225bbdcc">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.10265-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PeriodeZorgOpMaat): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.10265-2012-08-01T000000.html"
              test="string(@nullFlavor)='UNK' or not(@nullFlavor)">(PeriodeZorgOpMaat): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10265
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:effectiveTime/hl7:width
Item: (PeriodeZorgOpMaat)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10265
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:effectiveTime/hl7:center
Item: (PeriodeZorgOpMaat)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:component[hl7:observationIntent[hl7:code[(@code='1155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:component[hl7:observationIntent[hl7:code[(@code='1155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]"
         id="tmp-r-16446c82-4c1b-4848-a07f-99b7704e0635">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(A_ZorgPlan-universal): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:observationIntent[hl7:code[(@code='1155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]])&gt;=1 and not(hl7:observationIntent[hl7:code[(@code='1155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]/@nullFlavor)">(A_ZorgPlan-universal): element hl7:observationIntent[hl7:code[(@code='1155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:observationIntent[hl7:code[(@code='1155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]])&lt;=1">(A_ZorgPlan-universal): element hl7:observationIntent[hl7:code[(@code='1155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:component[hl7:observationIntent[hl7:code[(@code='1155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationIntent
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:component[hl7:observationIntent[hl7:code[(@code='1155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationIntent"
         id="tmp-r-109f58b7-83fb-4d86-9cd1-1cc21e12bbb3">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(A_ZorgPlan-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="string(@moodCode)='INT' or not(@moodCode)">(A_ZorgPlan-universal): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:code[(@code='1155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&gt;=1 and not(hl7:code[(@code='1155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]/@nullFlavor)">(A_ZorgPlan-universal): element hl7:code[(@code='1155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:code[(@code='1155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&lt;=1">(A_ZorgPlan-universal): element hl7:code[(@code='1155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_ZorgPlan-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(A_ZorgPlan-universal): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:component[hl7:observationIntent[hl7:code[(@code='1155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationIntent/hl7:code[(@code='1155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:component[hl7:observationIntent[hl7:code[(@code='1155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationIntent/hl7:code[(@code='1155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="tmp-r-d1a633f6-eecf-438c-b76a-c541f5fc84a3">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_ZorgPlan-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_ZorgPlan-universal): de elementwaarde MOET zijn code '1155' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:component[hl7:observationIntent[hl7:code[(@code='1155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationIntent/hl7:value
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:component[hl7:observationIntent[hl7:code[(@code='1155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationIntent/hl7:value"
         id="tmp-r-573746fb-ea7e-4358-b9f1-edfb18a73d20">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_ZorgPlan-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="(@nullFlavor or (string-length(string($theValue))&gt;=1))">(A_ZorgPlan-universal): value MOET een stringlengte in bereik [1..*] hebben </assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:finalGoal[hl7:observationGoal[hl7:code[(@code='1154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:finalGoal[hl7:observationGoal[hl7:code[(@code='1154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]"
         id="tmp-r-9b858ba5-f543-4672-a392-df2fbf17f355">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="string(@typeCode)='OBJF' or not(@typeCode)">(A_ZorgPlan-universal): de waarde van @typeCode MOET 'OBJF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:observationGoal[hl7:code[(@code='1154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]])&gt;=1 and not(hl7:observationGoal[hl7:code[(@code='1154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]/@nullFlavor)">(A_ZorgPlan-universal): element hl7:observationGoal[hl7:code[(@code='1154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:observationGoal[hl7:code[(@code='1154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]])&lt;=1">(A_ZorgPlan-universal): element hl7:observationGoal[hl7:code[(@code='1154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:finalGoal[hl7:observationGoal[hl7:code[(@code='1154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationGoal
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:finalGoal[hl7:observationGoal[hl7:code[(@code='1154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationGoal"
         id="tmp-r-a1a81923-7594-46b3-beec-8efe6aef3062">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(A_ZorgPlan-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="string(@moodCode)='GOL' or not(@moodCode)">(A_ZorgPlan-universal): de waarde van @moodCode MOET 'GOL' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:code[(@code='1154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&gt;=1 and not(hl7:code[(@code='1154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]/@nullFlavor)">(A_ZorgPlan-universal): element hl7:code[(@code='1154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:code[(@code='1154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&lt;=1">(A_ZorgPlan-universal): element hl7:code[(@code='1154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_ZorgPlan-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(A_ZorgPlan-universal): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:finalGoal[hl7:observationGoal[hl7:code[(@code='1154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationGoal/hl7:code[(@code='1154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:finalGoal[hl7:observationGoal[hl7:code[(@code='1154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationGoal/hl7:code[(@code='1154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="tmp-r-6776c0b8-5eae-4e11-bcf0-0119faa54d8b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_ZorgPlan-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_ZorgPlan-universal): de elementwaarde MOET zijn code '1154' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:finalGoal[hl7:observationGoal[hl7:code[(@code='1154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationGoal/hl7:value
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:finalGoal[hl7:observationGoal[hl7:code[(@code='1154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationGoal/hl7:value"
         id="tmp-r-c5c86b13-ea24-41f2-a867-cff9a17d0b81">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_ZorgPlan-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="(@nullFlavor or (string-length(string($theValue))&gt;=1))">(A_ZorgPlan-universal): value MOET een stringlengte in bereik [1..*] hebben </assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:pertinentInformation[hl7:evaluationEvent[hl7:code[(@code='1156' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:pertinentInformation[hl7:evaluationEvent[hl7:code[(@code='1156' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]"
         id="tmp-r-17f6880f-9b68-4171-990b-12b93144c11a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="string(@typeCode)='PERT' or not(@typeCode)">(A_ZorgPlan-universal): de waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:evaluationEvent[hl7:code[(@code='1156' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]])&gt;=1 and not(hl7:evaluationEvent[hl7:code[(@code='1156' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]/@nullFlavor)">(A_ZorgPlan-universal): element hl7:evaluationEvent[hl7:code[(@code='1156' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:evaluationEvent[hl7:code[(@code='1156' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]])&lt;=1">(A_ZorgPlan-universal): element hl7:evaluationEvent[hl7:code[(@code='1156' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:pertinentInformation[hl7:evaluationEvent[hl7:code[(@code='1156' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:evaluationEvent
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:pertinentInformation[hl7:evaluationEvent[hl7:code[(@code='1156' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:evaluationEvent"
         id="tmp-r-3447e9c7-bfd0-4586-b4a0-c422d038bb0b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(A_ZorgPlan-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(A_ZorgPlan-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:code[(@code='1156' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&gt;=1 and not(hl7:code[(@code='1156' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]/@nullFlavor)">(A_ZorgPlan-universal): element hl7:code[(@code='1156' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:code[(@code='1156' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&lt;=1">(A_ZorgPlan-universal): element hl7:code[(@code='1156' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_ZorgPlan-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(A_ZorgPlan-universal): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:pertinentInformation[hl7:evaluationEvent[hl7:code[(@code='1156' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:evaluationEvent/hl7:code[(@code='1156' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:pertinentInformation[hl7:evaluationEvent[hl7:code[(@code='1156' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:evaluationEvent/hl7:code[(@code='1156' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="tmp-r-026c7a8d-74a1-4d2f-92b7-4316498413ad">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_ZorgPlan-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1156' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_ZorgPlan-universal): de elementwaarde MOET zijn code '1156' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:pertinentInformation[hl7:evaluationEvent[hl7:code[(@code='1156' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:evaluationEvent/hl7:value
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:pertinentInformation[hl7:evaluationEvent[hl7:code[(@code='1156' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:evaluationEvent/hl7:value"
         id="tmp-r-10b3bce0-6d31-4656-8363-83074274fdfe">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_ZorgPlan-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="(@nullFlavor or (string-length(string($theValue))&gt;=1))">(A_ZorgPlan-universal): value MOET een stringlengte in bereik [1..*] hebben </assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:subject[hl7:problem[hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:subject[hl7:problem[hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]"
         id="tmp-r-391e88fb-d9cc-45d3-ae2e-544a6a0370cd">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(A_ZorgPlan-universal): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="string(@contextControlCode)='AN' or not(@contextControlCode)">(A_ZorgPlan-universal): de waarde van @contextControlCode MOET 'AN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="string(@contextConductionInd)='true' or not(@contextConductionInd)">(A_ZorgPlan-universal): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="string(@conjunctionCode)='AND' or not(@conjunctionCode)">(A_ZorgPlan-universal): de waarde van @conjunctionCode MOET 'AND' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:problem[hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]])&gt;=1 and not(hl7:problem[hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]/@nullFlavor)">(A_ZorgPlan-universal): element hl7:problem[hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:problem[hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]])&lt;=1">(A_ZorgPlan-universal): element hl7:problem[hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:subject[hl7:problem[hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:problem
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:subject[hl7:problem[hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:problem"
         id="tmp-r-908f4ff5-6de2-40f6-b1dd-fa84ad55ccca">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(A_ZorgPlan-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(A_ZorgPlan-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&gt;=1 and not(hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]/@nullFlavor)">(A_ZorgPlan-universal): element hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&lt;=1">(A_ZorgPlan-universal): element hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(A_ZorgPlan-universal): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(A_ZorgPlan-universal): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:reasonOf[hl7:condition[hl7:code[(@code='1152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]])&lt;=1">(A_ZorgPlan-universal): element hl7:reasonOf[hl7:condition[hl7:code[(@code='1152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:subjectOf[hl7:symptom[hl7:code[(@code='1153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]])&lt;=1">(A_ZorgPlan-universal): element hl7:subjectOf[hl7:symptom[hl7:code[(@code='1153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:subject[hl7:problem[hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:problem/hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:subject[hl7:problem[hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:problem/hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="tmp-r-8afd6fe6-8a99-45a6-9049-66e234d8f535">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_ZorgPlan-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_ZorgPlan-universal): de elementwaarde MOET zijn code '1151' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:subject[hl7:problem[hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:problem/hl7:text
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:subject[hl7:problem[hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:problem/hl7:text"
         id="tmp-r-94f6998b-9186-4ba3-ad51-ea9a57b205d2">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_ZorgPlan-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:subject[hl7:problem[hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:problem/hl7:reasonOf[hl7:condition[hl7:code[(@code='1152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:subject[hl7:problem[hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:problem/hl7:reasonOf[hl7:condition[hl7:code[(@code='1152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]"
         id="tmp-r-ca624e68-f226-41c9-b730-6e1b8c6f4801">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:condition[hl7:code[(@code='1152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]])&gt;=1 and not(hl7:condition[hl7:code[(@code='1152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]/@nullFlavor)">(A_ZorgPlan-universal): element hl7:condition[hl7:code[(@code='1152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:condition[hl7:code[(@code='1152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]])&lt;=1">(A_ZorgPlan-universal): element hl7:condition[hl7:code[(@code='1152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:subject[hl7:problem[hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:problem/hl7:reasonOf[hl7:condition[hl7:code[(@code='1152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:condition
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:subject[hl7:problem[hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:problem/hl7:reasonOf[hl7:condition[hl7:code[(@code='1152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:condition"
         id="tmp-r-b7bfab0e-9651-43ea-9796-16cc6d3344a1">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(A_ZorgPlan-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(A_ZorgPlan-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:code[(@code='1152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&gt;=1 and not(hl7:code[(@code='1152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]/@nullFlavor)">(A_ZorgPlan-universal): element hl7:code[(@code='1152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:code[(@code='1152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&lt;=1">(A_ZorgPlan-universal): element hl7:code[(@code='1152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(A_ZorgPlan-universal): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(A_ZorgPlan-universal): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:subject[hl7:problem[hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:problem/hl7:reasonOf[hl7:condition[hl7:code[(@code='1152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:condition/hl7:code[(@code='1152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:subject[hl7:problem[hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:problem/hl7:reasonOf[hl7:condition[hl7:code[(@code='1152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:condition/hl7:code[(@code='1152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="tmp-r-82ca3e59-b594-43d8-98ee-74b1f1266ca2">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_ZorgPlan-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_ZorgPlan-universal): de elementwaarde MOET zijn code '1152' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:subject[hl7:problem[hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:problem/hl7:reasonOf[hl7:condition[hl7:code[(@code='1152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:condition/hl7:text
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:subject[hl7:problem[hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:problem/hl7:reasonOf[hl7:condition[hl7:code[(@code='1152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:condition/hl7:text"
         id="tmp-r-398afa21-45dd-4b6d-921b-e3609dac34e8">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_ZorgPlan-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:subject[hl7:problem[hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:problem/hl7:subjectOf[hl7:symptom[hl7:code[(@code='1153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:subject[hl7:problem[hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:problem/hl7:subjectOf[hl7:symptom[hl7:code[(@code='1153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]"
         id="tmp-r-4b9daadf-2e4d-412f-8bf3-49f73673a499">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="string(@typeCode)='SUBJ' or not(@typeCode)">(A_ZorgPlan-universal): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:symptom[hl7:code[(@code='1153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]])&gt;=1 and not(hl7:symptom[hl7:code[(@code='1153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]/@nullFlavor)">(A_ZorgPlan-universal): element hl7:symptom[hl7:code[(@code='1153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:symptom[hl7:code[(@code='1153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]])&lt;=1">(A_ZorgPlan-universal): element hl7:symptom[hl7:code[(@code='1153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:subject[hl7:problem[hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:problem/hl7:subjectOf[hl7:symptom[hl7:code[(@code='1153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:symptom
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:subject[hl7:problem[hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:problem/hl7:subjectOf[hl7:symptom[hl7:code[(@code='1153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:symptom"
         id="tmp-r-5d62fe9d-0a77-477c-8cac-86d29417282a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(A_ZorgPlan-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(A_ZorgPlan-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:code[(@code='1153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&gt;=1 and not(hl7:code[(@code='1153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]/@nullFlavor)">(A_ZorgPlan-universal): element hl7:code[(@code='1153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:code[(@code='1153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&lt;=1">(A_ZorgPlan-universal): element hl7:code[(@code='1153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(A_ZorgPlan-universal): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(A_ZorgPlan-universal): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:subject[hl7:problem[hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:problem/hl7:subjectOf[hl7:symptom[hl7:code[(@code='1153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:symptom/hl7:code[(@code='1153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:subject[hl7:problem[hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:problem/hl7:subjectOf[hl7:symptom[hl7:code[(@code='1153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:symptom/hl7:code[(@code='1153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="tmp-r-58306bab-42cc-4644-a145-e51edf21891b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_ZorgPlan-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_ZorgPlan-universal): de elementwaarde MOET zijn code '1153' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:subject[hl7:problem[hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:problem/hl7:subjectOf[hl7:symptom[hl7:code[(@code='1153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:symptom/hl7:text
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:subject[hl7:problem[hl7:code[(@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:problem/hl7:subjectOf[hl7:symptom[hl7:code[(@code='1153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:symptom/hl7:text"
         id="tmp-r-fc7eeb20-25e3-4ce8-9ff3-9ee8f6efc072">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20131217T233036/tmp-2.16.840.1.113883.2.4.6.10.100.120-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_ZorgPlan-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>